C This program shows the declaration of an array and the assignment of values
C to the array locations.  FORTRAN arrays start at 1, not 0
C The program also reads in values and stores them in the array, replacing
C the values that were there before.
       DIMENSION X(10)
       X(1) = 16.234
       X(2) = 27.8
       X(3) = 3432.3628
       WRITE (6, 10) X(1), X(2), X(3)
  10   FORMAT (1X,  F8.2, 2X , F5.1, 2X,   F8.3)
       WRITE (6, 15) " Please enter a string of 25 digits "
  15   FORMAT (1X, A50)
       READ (5,21) X(1), X(2), X(3)
  21   FORMAT (1X,   F4.1, F2.1, F4.3)
       WRITE (6, 10) X(1), X(2), X(3)
       STOP
       END
